FROM php:7.3-fpm-alpine
RUN apk update; \
    apk upgrade; \
    docker-php-ext-install mysqli; \
    docker-php-ext-install pdo_mysql; \
    docker-php-ext-install php_pdo_mysql; \
    chmod 777 database && chmod 777 database/database.sqlite; \
    apk add --no-cache --repository http://dl-cdn.alpinelinux.org/alpine/edge/community/ --allow-untrusted gnu-libiconv;
ENV LD_PRELOAD /usr/lib/preloadable_libiconv.so php